# ifndef _RQA_INTERFACE_H
# define _RQA_INTERFACE_H
/*
  $Id: interface.h,v 1.3 2006/07/14 09:22:38 noir Exp $
  Copyright (C) 2006 Hiroyuki KUROSAKI <noir (at) st . rim . or . jp>

  This program is free software; you can redistribute it and/or modify
  it under the terms of the GNU General Public License as published by
  the Free Software Foundation; either version 2 of the License, or
  (at your option) any later version.
  
  This program is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  GNU General Public License for more details.
  
  You should have received a copy of the GNU General Public License
  along with this program; if not, write to the Free Software
  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 */

#include <qpe/taskbarappletinterface.h>
#include "applet_proxy.h"

namespace RubyQpeApplet
{

class Interface : public TaskbarAppletInterface
{
public:
    Interface();
    virtual ~Interface();

    QRESULT queryInterface(const QUuid&, QUnknownInterface**);
    Q_REFCOUNT

    virtual QWidget* applet(QWidget* parent);
    virtual int position() const;

private:
    AppletProxy* applet_proxy;
    ulong    ref;
};

};

#endif /* _RQA_INTERFACE_H */
